=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

override_dh_auto_test:
	# Disable auto test at build time
	:
