=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         kinit, xserver-xephyr
#Restrictions: build-needed
