## kdebugsettings 20.08.1

=== debian/changelog ===
kdebugsettings (20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.13.0
    - bump KF packages to 5.68.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:52:14 +0200

kdebugsettings (20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.66.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Unregister obsolete /etc/xdg/kde.categories, and
    /etc/xdg/kde.renamecategories conffiles.
  * Update lintian overrides.
  * Run the test suite at build time:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, as a display is needed

 -- Pino Toscano <pino@debian.org>  Mon, 15 Jun 2020 09:18:02 +0200
