=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
     add_executable( ${_name} ${_test} )
     add_test(NAME ${_name} COMMAND ${_name} )
     ecm_mark_as_test(kdebugsettings-${_name})
-    set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1;QT_NO_CPU_FEATURE=sse4.2")
     target_link_libraries( ${_name}
         Qt5::Test
         KF5::I18n
