=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.13.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.
