=== data/groups/CMakeLists.txt ===
install( FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups )
