=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.87.0~),
+               extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5completion-dev (>= 5.87.0~),
-               libkf5config-dev (>= 5.87.0~),
-               libkf5coreaddons-dev (>= 5.87.0~),
-               libkf5dbusaddons-dev (>= 5.87.0~),
-               libkf5i18n-dev (>= 5.87.0~),
-               libkf5itemviews-dev (>= 5.87.0~),
-               libkf5widgetsaddons-dev (>= 5.87.0~),
+               libkf5completion-dev (>= 5.99.0~),
+               libkf5config-dev (>= 5.99.0~),
+               libkf5coreaddons-dev (>= 5.99.0~),
+               libkf5dbusaddons-dev (>= 5.99.0~),
+               libkf5i18n-dev (>= 5.99.0~),
+               libkf5itemviews-dev (>= 5.99.0~),
+               libkf5widgetsaddons-dev (>= 5.99.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
