=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install( FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups )
