=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
@@ -27,7 +27,7 @@
 
 Package: kdebugsettings
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: application to enable/disable qCDebug settings
  Qt applications use QDebug classes to print out warnings and errors on
  a terminal.  This applications is a simple GUI to turn on or off
