=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38.0~),
               libkf5completion-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5itemviews-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Git: https://invent.kde.org/neon/kde/kdebugsettings.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdebugsettings
Maintainer: Neon CI <neon@kde.org>

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.
